require "import"
import "android.content.Context"
import "android.os.Vibrator"
import "android.widget.Toast"

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(300) -- Vibration for 300 milliseconds

-- Define the path to the counter file
local filePath = "/storage/emulated/0/count.txt"

-- Function to read from the file
local function readCount()
    local file = io.open(filePath, "r")
    if file then
        local count = tonumber(file:read("*a"))
        file:close()
        return count or 0
    else
        return 0
    end
end

-- Function to write to the file
local function writeCount(count)
    local file = io.open(filePath, "w")
    file:write(tostring(count))
    file:close()
end

-- Read current execution count
local count = readCount()

-- Execute code blocks based on conditions
if count == 0 then
    -- First run
    if service.click({{"%视频描述",}}) then
        writeCount(count + 1)
        
        -- Add notification that automatic recognition has started
        Toast.makeText(context, "Автоматическое распознавание запущено", Toast.LENGTH_LONG).show()
        
        return true
    end
else
    -- Second and subsequent runs
    if service.click({{"%返回"}}) then
        writeCount(0)  -- Reset the counter
    
        -- Add notification that automatic recognition has stopped
        Toast.makeText(context, "Автоматическое распознавание остановлено", Toast.LENGTH_LONG).show()
    
        return true
    end
end
return true
